---
title: rattler-build generate-recipe pypi
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [generate-recipe](index.md) pypi

Generate a recipe for a Python package from PyPI

## Usage
```
rattler-build generate-recipe pypi [OPTIONS] <PACKAGE>
```

## Arguments
- <a id="arg-PACKAGE" href="#arg-PACKAGE">`<PACKAGE>`</a>
:  Name of the package to generate
<br>**required**: `true`

## Options
- <a id="arg---version" href="#arg---version">`--version <VERSION>`</a>
:  Select a version of the package to generate (defaults to latest)
- <a id="arg---write" href="#arg---write">`--write (-w)`</a>
:  Whether to write the recipe to a folder
- <a id="arg---use-mapping" href="#arg---use-mapping">`--use-mapping (-u)`</a>
:  Whether to use the conda-forge PyPI name mapping
<br>**default**: `true`
- <a id="arg---tree" href="#arg---tree">`--tree (-t)`</a>
:  Whether to generate recipes for all dependencies
- <a id="arg---pypi-index-url" href="#arg---pypi-index-url">`--pypi-index-url <PYPI_INDEX_URLS>`</a>
:  Specify the PyPI index URL(s) to use for recipe generation
<br>May be provided more than once.
<br>**env**: `RATTLER_BUILD_PYPI_INDEX_URL`
<br>**default**: `https://pypi.org/pypi`
